module(..., package.seeall)

-- Load libraries
require("controllerfunctions")

-- ################################################################################
-- LOCAL FUNCTIONS

-- ################################################################################
-- PUBLIC FUNCTIONS

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function startstop(self)
	return controllerfunctions.handle_startstop(self, self.model.startstop_service, self.clientdata)
end

function details(self)
	return self.model.getstatusdetails()
end

function editracoon (self)
	return controllerfunctions.handle_form(self, self.model.get_racoonfiledetails, self.model.update_racoonfiledetails, self.clientdata, "Save", "Edit Racoon Config", "Configuration Set")
end

function editipsec (self)
	return controllerfunctions.handle_form(self, self.model.get_ipsecfiledetails, self.model.update_ipsecfiledetails, self.clientdata, "Save", "Edit IPSec Config", "Configuration Set")
end

function listcerts(self)
	return self.model.list_certs()
end

function deletecert(self)
	return self:redirect_to_referrer(self.model.delete_cert(self.clientdata.cert))
end

function uploadcert (self)
	return controllerfunctions.handle_form(self, self.model.new_upload_cert, self.model.upload_cert, self.clientdata, "Upload", "Upload Certificate", "Certificate Uploaded")
end

function viewcert(self)
	return self.model.view_cert(self.clientdata.cert)
end
